package and06.geonotes

import android.util.Log
import okhttp3.Interceptor
import okhttp3.OkHttpClient
import okhttp3.Response
import okhttp3.ResponseBody
import okhttp3.logging.HttpLoggingInterceptor
import org.json.JSONException
import org.json.JSONObject
import retrofit2.Call
import retrofit2.Retrofit
import retrofit2.converter.jackson.JacksonConverterFactory
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import java.io.IOException


class ghostAPI () {
    companion object {
        private const val API_KEY = "eyJhbGciOiJIUzI1NiIsImtpZCI6IjY1MWUwMzNlOTJmZWQ5MzE5MDlmZWFjNSIsInR5cCI6IkpXVCJ9.eyJpYXQiOjE2OTY1NDU0MzAsImV4cCI6MTY5NjU0NTczMCwiYXVkIjoiL2FkbWluLyJ9.SpT8LifIy_ZEfH4SakqYz79r853L0JjN_ZDehFbUv2U"
        private const val BASE_URL = "https://mary.joefix.it/ghost/api/admin"

        private val retrofit = RetrofitClient.getClient()
        private val postApi = retrofit.create(PostApi::class.java)


        fun register() : Boolean {
            return try {
                postApi.getCookie(Credentials()).execute().isSuccessful
            } catch (ex: Exception) {
                Log.d(javaClass.simpleName, "Couldn't log in. Exception: ${ex}")
                false
            }
        }

        fun sendPosting(title:String, html:String, author: String) : Boolean{
            val post = sendPost(title, authors= listOf(author), html)
            val postings= sendPostList(listOf(post))

            return try {
                postApi.pushPost(postings).execute().isSuccessful
            } catch (ex: Exception) {
                Log.d(javaClass.simpleName, "Couldn't send posting in. Exception: ${ex}")
                false
            }
        }

        fun successfulUsersResponse() {
            val postsResponse  = postApi.getPosts().execute()
            val successful = postsResponse.isSuccessful
            val httpStatusCode = postsResponse.code()
            val httpStatusMessage = postsResponse.message()
            Log.i(javaClass.simpleName, postsResponse.body().toString())

            val testpost = sendPost(title = "testpos564ting", authors = listOf("yova@freedomhost.de") , html="<p>this is blabla</p>")

            val testPostings  = sendPostList(posts = listOf(testpost))
            val pushResponse = postApi.pushPost(testPostings).execute()
            Log.i(javaClass.simpleName, postApi.pushPost(testPostings).toString())
            Log.i(javaClass.simpleName, pushResponse.body()!!.string())
        }
    }
    object RequestInterceptor : Interceptor {
        override fun intercept(chain: Interceptor.Chain): Response {
            val request = chain.request()
            val newRequest = request.newBuilder()
                /*.header("Authorization", "Ghost "+ API_KEY)*/
                .header("Origin", "https://mary.joefix.it")

                .build()

            Log.i(javaClass.simpleName, "Outgoing request to ${newRequest.url}")
            Log.i(javaClass.simpleName, newRequest.body.toString())
            return chain.proceed(newRequest)
        }
    }



    object RetrofitClient {
        private const val BASE_URL = "https://mary.joefix.it/ghost/api/admin/"


        fun getClient(): Retrofit {
            val loggingInterceptor = HttpLoggingInterceptor().apply {
                this.setLevel(HttpLoggingInterceptor.Level.BODY)
            }

            val okHttpClient = OkHttpClient()
                .newBuilder()
/*
                .addInterceptor(RequestInterceptor)
*/
                .addInterceptor(loggingInterceptor)
                .cookieJar(MyCookieJar())
                .build()

            return Retrofit.Builder()
                .client(okHttpClient)
                .baseUrl(BASE_URL)
                .addConverterFactory(JacksonConverterFactory.create())
                .build()

        }
    }



    interface PostApi {
        @GET("posts")
        fun getPosts(): Call<posts>
        /*  fun getPosts(): Call<ResponseBody>  <- for json string*/

        @POST("session")
        fun getCookie(@Body credentials: Credentials ): Call<ResponseBody>

        @POST("posts/?source=html")
        fun pushPost(@Body postings: sendPostList): Call<ResponseBody>
    }
}

