package and06.geonotes

import com.fasterxml.jackson.annotation.JsonProperty

class Credentials {
    @JsonProperty("username") val username = "yova@freedomhost.de"
    @JsonProperty("password") val password = "Ym9DCYN3FTo5srcu"
}

data class sendPost (
    @JsonProperty("title") val title: String,
    @JsonProperty("authors") val authors: List<String>,
    @JsonProperty("html") val html: String,
    @JsonProperty("status") val status: String = "published"
)

data class sendPostList (
    @JsonProperty("posts") val posts: List<sendPost>
    )

data class posts(
    @JsonProperty("meta") val meta: Meta,
    @JsonProperty("posts") val posts: List<PostX>
)


data class Author(
    @JsonProperty("accessibility") val accessibility: String?,
    @JsonProperty("bio") val bio: String?,
    @JsonProperty("comment_notifications") val comment_notifications: Boolean?,
    @JsonProperty("cover_image") val cover_image: String?,
    @JsonProperty("created_at") val created_at: String?,
    @JsonProperty("donation_notifications") val donation_notifications: Boolean?,
    @JsonProperty("email") val email: String?,
    @JsonProperty("facebook") val facebook: String?,
    @JsonProperty("free_member_signup_notification") val free_member_signup_notification: Boolean?,
    @JsonProperty("id") val id: String,
    @JsonProperty("last_seen") val last_seen: String?,
    @JsonProperty("location") val location: String?,
    @JsonProperty("mention_notifications") val mention_notifications: Boolean?,
    @JsonProperty("meta_description") val meta_description: String?,
    @JsonProperty("meta_title") val meta_title: String?,
    @JsonProperty("milestone_notifications") val milestone_notifications: Boolean?,
    @JsonProperty("name") val name: String?,
    @JsonProperty("paid_subscription_canceled_notification") val paid_subscription_canceled_notification: Boolean?,
    @JsonProperty("paid_subscription_started_notification") val paid_subscription_started_notification: Boolean?,
    @JsonProperty("profile_image") val profile_image: String?,
    @JsonProperty("recommendation_notifications") val recommendation_notifications: Boolean?,
    @JsonProperty("roles") val roles: List<Role>?,
    @JsonProperty("slug") val slug: String?,
    @JsonProperty("status") val status: String?,
    @JsonProperty("tour") val tour: String?,
    @JsonProperty("twitter") val twitter: String?,
    @JsonProperty("updated_at") val updated_at: String?,
    @JsonProperty("url") val url: String?,
    @JsonProperty("website") val website: String?
)

data class Count(
    @JsonProperty("clicks") val clicks: Int,
    @JsonProperty("negative_feedback") val negative_feedback: Int,
    @JsonProperty("positive_feedback") val positive_feedback: Int
)

data class Meta(
    @JsonProperty("pagination") val pagination: Pagination
)

data class Pagination(
    @JsonProperty("limit") val limit: Int,
    @JsonProperty("next") val next: String?,
    @JsonProperty("page") val page: Int,
    @JsonProperty("pages") val pages: Int,
    @JsonProperty("prev") val prev: String?,
    @JsonProperty("total") val total: Int
)

data class PostX(
    @JsonProperty("authors") val authors: List<Author>,
    @JsonProperty("canonical_url") val canonical_url: String?,
    @JsonProperty("codeinjection_foot") val codeinjection_foot: String?,
    @JsonProperty("codeinjection_head") val codeinjection_head: String?,
    @JsonProperty("comment_id") val comment_id: String?,
    @JsonProperty("count") val count: Count,
    @JsonProperty("created_at") val created_at: String?,
    @JsonProperty("custom_excerpt") val custom_excerpt: String?,
    @JsonProperty("custom_template") val custom_template: String?,
    @JsonProperty("email") val email: String?,
    @JsonProperty("email_only") val email_only: Boolean,
    @JsonProperty("email_segment") val email_segment: String?,
    @JsonProperty("email_subject") val email_subject: String?,
    @JsonProperty("excerpt") val excerpt: String?,
    @JsonProperty("feature_image") val feature_image: String?,
    @JsonProperty("feature_image_alt") val feature_image_alt: String?,
    @JsonProperty("feature_image_caption") val feature_image_caption: String?,
    @JsonProperty("featured") val featured: Boolean,
    @JsonProperty("frontmatter") val frontmatter: String?,
    @JsonProperty("id") val id: String,
    @JsonProperty("meta_description") val meta_description: String?,
    @JsonProperty("meta_title") val meta_title: String?,
    @JsonProperty("mobiledoc") val mobiledoc: String?,
    @JsonProperty("newsletter") val newsletter: String?,
    @JsonProperty("og_description") val og_description: String?,
    @JsonProperty("og_image") val og_image: String?,
    @JsonProperty("og_title") val og_title: String?,
    @JsonProperty("post_revisions") val post_revisions: List<Any>,
    @JsonProperty("primary_author") val primary_author: PrimaryAuthor,
    @JsonProperty("primary_tag") val primary_tag: Tag?,
    @JsonProperty("published_at") val published_at: String?,
    @JsonProperty("reading_time") val reading_time: Int,
    @JsonProperty("slug") val slug: String?,
    @JsonProperty("status") val status: String?,
    @JsonProperty("tags") val tags: List<Tag>,
    @JsonProperty("tiers") val tiers: List<Tier>,
    @JsonProperty("title") val title: String?,
    @JsonProperty("twitter_description") val twitter_description: String?,
    @JsonProperty("twitter_image") val twitter_image: String?,
    @JsonProperty("twitter_title") val twitter_title: String?,
    @JsonProperty("updated_at") val updated_at: String?,
    @JsonProperty("url") val url: String?,
    @JsonProperty("uuid") val uuid: String?,
    @JsonProperty("visibility") val visibility: String?
)

data class PrimaryAuthor(
    @JsonProperty("accessibility") val accessibility: String?,
    @JsonProperty("bio") val bio: String?,
    @JsonProperty("comment_notifications") val comment_notifications: Boolean,
    @JsonProperty("cover_image") val cover_image: String?,
    @JsonProperty("created_at") val created_at: String?,
    @JsonProperty("donation_notifications") val donation_notifications: Boolean,
    @JsonProperty("email") val email: String?,
    @JsonProperty("facebook") val facebook: String?,
    @JsonProperty("free_member_signup_notification") val free_member_signup_notification: Boolean,
    @JsonProperty("id") val id: String?,
    @JsonProperty("last_seen") val last_seen: String?,
    @JsonProperty("location") val location: String?,
    @JsonProperty("mention_notifications") val mention_notifications: Boolean,
    @JsonProperty("meta_description") val meta_description: String?,
    @JsonProperty("meta_title") val meta_title: String?,
    @JsonProperty("milestone_notifications") val milestone_notifications: Boolean,
    @JsonProperty("name") val name: String?,
    @JsonProperty("paid_subscription_canceled_notification") val paid_subscription_canceled_notification: Boolean,
    @JsonProperty("paid_subscription_started_notification") val paid_subscription_started_notification: Boolean,
    @JsonProperty("profile_image") val profile_image: String?,
    @JsonProperty("recommendation_notifications") val recommendation_notifications: Boolean,
    @JsonProperty("roles") val roles: List<Role>,
    @JsonProperty("slug") val slug: String?,
    @JsonProperty("status") val status: String?,
    @JsonProperty("tour") val tour: String?,
    @JsonProperty("twitter") val twitter: String?,
    @JsonProperty("updated_at") val updated_at: String?,
    @JsonProperty("url") val url: String?,
    @JsonProperty("website") val website: String?
)

data class Role(
    @JsonProperty("created_at") val created_at: String?,
    @JsonProperty("description") val description: String?,
    @JsonProperty("id") val id: String,
    @JsonProperty("name") val name: String?,
    @JsonProperty("updated_at") val updated_at: String?
)

data class Tag(
    @JsonProperty("accent_color") val accent_color: String?,
    @JsonProperty("canonical_url") val canonical_url: String?,
    @JsonProperty("codeinjection_foot") val codeinjection_foot: String?,
    @JsonProperty("codeinjection_head") val codeinjection_head: String?,
    @JsonProperty("created_at") val created_at: String?,
    @JsonProperty("description") val description: String?,
    @JsonProperty("feature_image") val feature_image: String?,
    @JsonProperty("id") val id: String,
    @JsonProperty("meta_description") val meta_description: String?,
    @JsonProperty("meta_title") val meta_title: String?,
    @JsonProperty("name") val name: String?,
    @JsonProperty("og_description") val og_description: String?,
    @JsonProperty("og_image") val og_image: String?,
    @JsonProperty("og_title") val og_title: String?,
    @JsonProperty("slug") val slug: String?,
    @JsonProperty("twitter_description") val twitter_description: String?,
    @JsonProperty("twitter_image") val twitter_image: String?,
    @JsonProperty("twitter_title") val twitter_title: String?,
    @JsonProperty("updated_at") val updated_at: String?,
    @JsonProperty("url") val url: String?,
    @JsonProperty("visibility") val visibility: String?
)

data class Tier(
    @JsonProperty("active") val active: Boolean,
    @JsonProperty("created_at") val created_at: String?,
    @JsonProperty("currency") val currency: String?,
    @JsonProperty("description") val description: String?,
    @JsonProperty("id") val id: String,
    @JsonProperty("monthly_price") val monthly_price: Int,
    @JsonProperty("monthly_price_id") val monthly_price_id: String?,
    @JsonProperty("name") val name: String?,
    @JsonProperty("slug") val slug: String?,
    @JsonProperty("trial_days") val trial_days: Int,
    @JsonProperty("type") val type: String?,
    @JsonProperty("updated_at") val updated_at: String?,
    @JsonProperty("visibility") val visibility: String?,
    @JsonProperty("welcome_page_url") val welcome_page_url: String?,
    @JsonProperty("yearly_price") val yearly_price: Int,
    @JsonProperty("yearly_price_id") val yearly_price_id: String?
)